#
# Copyright (c) 2008-2018 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from pyams_portal.interfaces import IPortletSettings

# import packages
from pyams_i18n.schema import I18nTextField, I18nHTMLField, I18nTextLineField

from pyams_portal import _


class IRawPortletSettings(IPortletSettings):
    """Raw HTML code portlet settings interface"""

    title = I18nTextLineField(title=_("Title"),
                              required=False)

    body = I18nTextField(title=_("Source code"),
                         description=_("This code will be used 'as is', without any transformation, if using the "
                                       "'raw' renderer. Use with care!!"),
                         required=False)


class IHTMLPortletSettings(IPortletSettings):
    """Rich text portlet settings interface"""

    body = I18nHTMLField(title=_("Body"),
                         required=False)
